int highByte = 0;
int lowByte = 0;
int lastEstimate = 0;
int currentEstimate = 0;
int highByte2 = 0;
int lowByte2 = 0;
int lastEstimate2 = 0;
int currentEstimate2 = 0;

void setup() {
   // open the serial port at 9600 bits per second:
   Serial.begin(9600);
}

void loop() {
  if (Serial.available() > 0) {
    int inByte = Serial.read();
     // read the potentiometer, reduce the range to 0 - 255 by dividing by 4:
     int analogVal = analogRead(0);
     int analogVal2 = analogRead(1);
     // filter the sensor's result:
    currentEstimate = filter(analogVal, 230, lastEstimate);
    currentEstimate2 = filter(analogVal2, 230, lastEstimate2);
    //Serial.println(currentEstimate);
    // save the current result for future use:
    lastEstimate = currentEstimate;
    lastEstimate2 = currentEstimate2;
    //divide to break the input into two bytes
    highByte = analogVal /256;
    highByte2 = analogVal2 /256;
    // take the remainder of the division to get the low byte:
    lowByte = analogVal % 256;
    lowByte2 = analogVal2 % 256;
    // send the two bytes out to in raw binary form:
    Serial.print(highByte, DEC);
    Serial.print(",");
    Serial.print(lowByte, DEC);
    Serial.print(",");
    Serial.print(highByte2, DEC);
    Serial.print(",");
    Serial.print(lowByte2, DEC);
    Serial.print("|"); 
    // delay 10 milliseconds so the analog to digital converter settles:
    delay(100);
  }
}

// filter the current result using a weighted average filter:
int filter(int rawValue, int weight, int lastValue) {
  int fValue = 0;
  int x = 0;
  // convert the weight number to a value between 0 and 1:
  x = weight/102;
  // run the filter:
  fValue = (x * rawValue + (10-x)*lastValue)/10;
  // return the result:
  return fValue;
}
